package com.yijia.customer.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户电子会员卡充值消费记录对象 customer_card_use_record
 *
 * @author yijia
 * @date 2021-05-18
 */
public class CustomerCardUseRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 充值消费单号 */
    @Excel(name = "充值消费单号")
    private String orderNo;

    /** 微信用户唯一标识 */
    @Excel(name = "微信用户唯一标识")
    private String unionId;

    /** 会员号ID */
    @Excel(name = "会员号ID")
    private String customerNo;

    /** 客户名 */
    @Excel(name = "客户名")
    private String customerName;

    /** 电子会员卡消费充值类型：+，充值；-，消费； */
    @Excel(name = "电子会员卡消费充值类型：+，充值；-，消费；")
    private String usageType;

    /** 电子会员卡充值消费类型：1.微信；2.POS机 */
    @Excel(name = "电子会员卡充值消费类型：1.微信；2.POS机")
    private String payType;

    /** 油类：2.柴油；1.汽油； */
    @Excel(name = "油类：2.柴油；1.汽油；")
    private String cardOilsType;

    /** 充值，消费金额 */
    @Excel(name = "充值，消费金额")
    private BigDecimal amt;

    /** 赠送金额 */
    @Excel(name = "赠送金额")
    private BigDecimal presentAmt;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 油站ID */
    @Excel(name = "油站ID")
    private Integer stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 是否充值或者消费成功：0，未成功；1，成功 */
    @Excel(name = "是否充值或者消费成功：0，未成功；1，成功")
    private String status;

    private String czAmt;
    private String xfAmt;

    public String getCzAmt() {
        return czAmt;
    }

    public void setCzAmt(String czAmt) {
        this.czAmt = czAmt;
    }

    public String getXfAmt() {
        return xfAmt;
    }

    public void setXfAmt(String xfAmt) {
        this.xfAmt = xfAmt;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setUnionId(String unionId)
    {
        this.unionId = unionId;
    }

    public String getUnionId()
    {
        return unionId;
    }
    public void setCustomerNo(String customerNo)
    {
        this.customerNo = customerNo;
    }

    public String getCustomerNo()
    {
        return customerNo;
    }
    public void setCustomerName(String customerName)
    {
        this.customerName = customerName;
    }

    public String getCustomerName()
    {
        return customerName;
    }
    public void setUsageType(String usageType)
    {
        this.usageType = usageType;
    }

    public String getUsageType()
    {
        return usageType;
    }
    public void setPayType(String payType)
    {
        this.payType = payType;
    }

    public String getPayType()
    {
        return payType;
    }
    public void setCardOilsType(String cardOilsType)
    {
        this.cardOilsType = cardOilsType;
    }

    public String getCardOilsType()
    {
        return cardOilsType;
    }
    public void setAmt(BigDecimal amt)
    {
        this.amt = amt;
    }

    public BigDecimal getAmt()
    {
        return amt;
    }
    public void setPresentAmt(BigDecimal presentAmt)
    {
        this.presentAmt = presentAmt;
    }

    public BigDecimal getPresentAmt()
    {
        return presentAmt;
    }
    public void setBalance(BigDecimal balance)
    {
        this.balance = balance;
    }

    public BigDecimal getBalance()
    {
        return balance;
    }
    public void setStationId(Integer stationId)
    {
        this.stationId = stationId;
    }

    public Integer getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNo", getOrderNo())
            .append("unionId", getUnionId())
            .append("customerNo", getCustomerNo())
            .append("customerName", getCustomerName())
            .append("usageType", getUsageType())
            .append("payType", getPayType())
            .append("cardOilsType", getCardOilsType())
            .append("amt", getAmt())
            .append("presentAmt", getPresentAmt())
            .append("balance", getBalance())
            .append("createTime", getCreateTime())
            .append("stationId", getStationId())
            .append("status", getStatus())
            .toString();
    }
}
